Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | METHOD | DETAIL: FIELD | METHOD

## org.gradle.tooling.model.eclipse
[Java] Interface EclipseSourceDirectory

    org.gradle.tooling.model.SourceDirectory
      org.gradle.tooling.model.eclipse.EclipseSourceDirectory

All Superinterfaces:
  SourceDirectory

    public interface EclipseSourceDirectory
    extends SourceDirectory

A source directory in an Eclipse project.

Method Summary
`String` | `getPath()` Returns the relative path for this source directory.

Methods inherited from interface SourceDirectory
getDirectory

Method Detail

### getPath

    public String getPath()

  Returns the relative path for this source directory.
  Returns:
    The path for this source directory. Does not return null.

Gradle API 1.10